Bug 1391 - /usr/sbin/lexmarkinstall -- неправильный id для принтера Z53
: /usr/sbin/lexmarkinstall -- неправильный id для принтера Z53
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/foomatic)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-10-10 11:38 by
Modified: 2009-05-10 09:31 (History)


Attachments
0001391-lexmarkinstall.patch (227 bytes, application/octet-stream)
2003-01-16 13:59, Anton V. Boyarshinov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-10 11:38:54
1 в скрипте /usr/sbin/lexmarkinstall указан неправильный id
 принтера Z53
2 в closed-source драйверах, без которых этот
принтер не работает, на каталоги стоят нерапвильные права, в
 результате ничего не печатается

Патч прилагается
---

---
--- lexmarkinstall.orig    Thu Oct 10 10:25:53 2002
+++ lexmarkinstall    Thu Oct 10 10:24:56 2002
@@ -36,6 +36,7 @@
   exit(0);
 }

+chmod 0755, $lexmarkdir, $lexmarkdir.\'/*\';

 # Ask the user which printer model he has

@@ -82,7 +83,7 @@
       } elsif ($number == 5) {
     $id =  \"328553\";
       } elsif ($number == 6) {
-    $id =  \"Lexmark-Z52\";
+    $id =  \"Lexmark-Z53\";
       }
     }
   } else {
------- Comment #1 From 2003-01-15 14:56:03 -------
Хочу уточнить.
1. $lexmarkdir нвходится в lexmarkmaintain, а патч на lexmarkinstall
2. В driver/lexmarkinkjet.xml есть отдельный id для Z53

то есть патч уже устарел?

foomatic-2.0.2-alt1.20021220
------- Comment #2 From 2003-01-15 14:56:03 -------
Хочу уточнить.
1. $lexmarkdir нвходится в lexmarkmaintain, а патч на lexmarkinstall
2. В driver/lexmarkinkjet.xml есть отдельный id для Z53

то есть патч уже устарел?

foomatic-2.0.2-alt1.20021220
------- Comment #3 From 2003-01-15 15:11:51 -------
Вторая половина устарела однозначно, но не за счёт driver/lexmarkinkjet.xml а
за счёт того, что в lexmarkinstall сделано изменение аналогичное этому патчу.

Первая половина устарела относительно и будет работать, если заменить
$lexmarkdir на $lexmarkpath. Строго говоря, это хак (первая половина патча), но
без него принтеры работают только после большого приложения мозгов для того,
чтоб разобраться -- что не так.
------- Comment #4 From 2003-01-15 15:11:51 -------
Вторая половина устарела однозначно, но не за счёт driver/lexmarkinkjet.xml а
за счёт того, что в lexmarkinstall сделано изменение аналогичное этому патчу.

Первая половина устарела относительно и будет работать, если заменить
$lexmarkdir на $lexmarkpath. Строго говоря, это хак (первая половина патча), но
без него принтеры работают только после большого приложения мозгов для того,
чтоб разобраться -- что не так.
------- Comment #5 From 2003-01-16 13:49:46 -------
Сделайте пожайлуста новый патч по поводу chmod
------- Comment #6 From 2003-01-16 13:49:46 -------
Сделайте пожайлуста новый патч по поводу chmod
------- Comment #7 From 2003-01-16 14:00:36 -------
патч сделал, в первом, кстати, была ошибка...
------- Comment #8 From 2003-01-16 14:00:36 -------
патч сделал, в первом, кстати, была ошибка...
------- Comment #9 From 2003-01-21 13:44:36 -------
патч добавлен
------- Comment #10 From 2003-01-21 13:44:36 -------
патч добавлен